<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="get_mail_classes">
      <querytext>
      
    select mail_class_id, name
    from ml_mail_classes
    where acs_permission__permission_p(mail_class_id, :user_id, 'read') = 't'

      </querytext>
</fullquery>

 
<fullquery name="get_mailing_lists">
      <querytext>
      
    select list_id, name
    from ml_mailing_lists
    where acs_permission__permission_p(list_id, :user_id, 'admin') = 't'
    and expiration_date > current_timestamp
    and package_id = :package_id
      </querytext>
</fullquery>

 
<fullquery name="get_users_selections">
      <querytext>
      
    select selection_id, title
    from us_selections
    where acs_permission__permission_p(selection_id, :user_id, 'read') = 't'

      </querytext>
</fullquery>

 
</queryset>
