<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="get_mail_job_data">
      <querytext>
      
	select j.locale, j.sender_email, j.track_links_p, j.subject,
	       j.text_header, j.text_body, j.text_footer, j.html_header,
	       j.html_body, j.html_footer, j.mime_type, j.state,
	       to_char(j.scheduled_date, :format) as scheduled_date,
	       c.name as class_name, c.comments as class_comment,
	       m.name as list_name, m.comments as list_comment,
	       s.title as selection_name, s.description as selection_desc
	from ml_mail_jobs j, ml_mail_classes c, ml_mailing_lists m,
	     us_selections s
	where j.mail_job_id = :mail_job_id
	and j.list_id = m.list_id (+)
	and m.package_id (+) = :package_id
	and j.selection_id = s.selection_id (+)
	and c.mail_class_id = j.mail_class_id
    
      </querytext>
</fullquery>

 
<fullquery name="delete_file">
      <querytext>
      
		    begin
		    content_item.delete(:file_id);
		    end;
		
      </querytext>
</fullquery>

 
</queryset>
