<?xml version="1.0"?>
<queryset>

<fullquery name="check_email_verified_p">
      <querytext>
      
    select email_verified_p
    from users
    where user_id = :user_id

      </querytext>
</fullquery>


<fullquery name="check_user_entry_exists">
      <querytext>
      
		select 1
		from ml_mailing_list_user_map
		where list_id = :list_id
		and user_id = :user_id
	    
      </querytext>
</fullquery>

 
<fullquery name="get_welcome_text">
      <querytext>
      
		select l.sender_email, l.welcome_subject, l.welcome_body,
		       l.welcome_mime_type, p.email as user_email, o.mime_charset
		from ml_mailing_lists l, ad_locales o, parties p
		where l.list_id = :list_id
		and o.locale = l.locale
		and p.party_id = :user_id
	    
      </querytext>
</fullquery>

 
</queryset>
