<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="get_all_mailing_list_admins">
      <querytext>
      
    select p.person_id as admin_id, p.first_names, p.last_name,
           acs_permission.permission_p(:class_id, p.person_id, 'admin') as admin_p,
           acs_permission.permission_p(:class_id, p.person_id, 'read') as read_p,
           acs_permission.permission_p(:package_id, p.person_id, 'admin') as package_admin_p
    from acs_object_party_privilege_map oppm, persons p
    where oppm.party_id = p.person_id
    and oppm.object_id = :package_id
    and oppm.privilege = 'mailing_list_admin'
    and p.person_id <> :user_id

      </querytext>
</fullquery>

 
</queryset>
